{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        <span class="text-primary fs-5 align-self-center">Objekt erfassen</span>
        {{ form_widget(buildingUnitCreateForm.save, {'label': 'SPEICHERN', 'id': buildingUnitCreateForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {{ form_start(buildingUnitCreateForm, {'attr': {'id': buildingUnitCreateForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/building_unit/building_unit_create_form.html.twig' with {'form': buildingUnitCreateForm} only %}
            {{ form_row(buildingUnitCreateForm._token) }}
            {{ form_end(buildingUnitCreateForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
